Package org.springframework.security.config.annotation.web.configurers.oauth2.client

# Class OAuth2LoginConfigurer.AuthorizationEndpointConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.oauth2.client.OAuth2LoginConfigurer.AuthorizationEndpointConfig

Enclosing class:
  OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>

public final class OAuth2LoginConfigurer.AuthorizationEndpointConfig extends Object
Configuration options for the Authorization Server's Authorization Endpoint.

## Method Summary

Modifier and Type
Method
Description
`OAuth2LoginConfigurer<B>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig`
`authorizationRedirectStrategy(org.springframework.security.web.RedirectStrategy authorizationRedirectStrategy)`
Sets the redirect strategy for Authorization Endpoint redirect URI.
`OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig`
`authorizationRequestRepository(org.springframework.security.oauth2.client.web.AuthorizationRequestRepository<org.springframework.security.oauth2.core.endpoint.OAuth2AuthorizationRequest> authorizationRequestRepository)`
Sets the repository used for storing `OAuth2AuthorizationRequest`'s.
`OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig`
`authorizationRequestResolver(org.springframework.security.oauth2.client.web.OAuth2AuthorizationRequestResolver authorizationRequestResolver)`
Sets the resolver used for resolving `OAuth2AuthorizationRequest`'s.
`OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig`
`baseUri(String authorizationRequestBaseUri)`
Sets the base `URI` used for authorization requests.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### baseUri

public OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig baseUri(String authorizationRequestBaseUri)
Sets the base `URI` used for authorization requests.

Parameters:
  `authorizationRequestBaseUri` - the base `URI` used for authorization requests
Returns:
  the `OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>.AuthorizationEndpointConfig` for further configuration

### authorizationRequestResolver

public OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig authorizationRequestResolver(org.springframework.security.oauth2.client.web.OAuth2AuthorizationRequestResolver authorizationRequestResolver)
Sets the resolver used for resolving `OAuth2AuthorizationRequest`'s.

Parameters:
  `authorizationRequestResolver` - the resolver used for resolving `OAuth2AuthorizationRequest`'s
Returns:
  the `OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>.AuthorizationEndpointConfig` for further configuration
Since:
  5.1

### authorizationRequestRepository

public OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig authorizationRequestRepository(org.springframework.security.oauth2.client.web.AuthorizationRequestRepository<org.springframework.security.oauth2.core.endpoint.OAuth2AuthorizationRequest> authorizationRequestRepository)
Sets the repository used for storing `OAuth2AuthorizationRequest`'s.

Parameters:
  `authorizationRequestRepository` - the repository used for storing `OAuth2AuthorizationRequest`'s
Returns:
  the `OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>.AuthorizationEndpointConfig` for further configuration

### authorizationRedirectStrategy

public OAuth2LoginConfigurer<B>.AuthorizationEndpointConfig authorizationRedirectStrategy(org.springframework.security.web.RedirectStrategy authorizationRedirectStrategy)
Sets the redirect strategy for Authorization Endpoint redirect URI.

Parameters:
  `authorizationRedirectStrategy` - the redirect strategy
Returns:
  the `OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>.AuthorizationEndpointConfig` for further configuration

### and

@Deprecated(since="6.1", forRemoval=true) public OAuth2LoginConfigurer<B> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `OAuth2LoginConfigurer.authorizationEndpoint(Customizer)` instead
Returns the `OAuth2LoginConfigurer` for further configuration.

Returns:
  the `OAuth2LoginConfigurer`